Subject: Re: bug#32750: [PATCH 2/2] dfa: optmization of alternation in NFA

From: Norihiro Tanaka <[email-masked]>
Date: Thu, 20 Sep 2018 00:24:22 +0900

On Tue, 18 Sep 2018 22:13:38 -0700
Jim Meyering <[email-masked]> wrote:

> Also, when I compared grep compiled at
> 123620af88f55c3e0cc9f0aed7311c72f625bc82 (latest, including your
> changes) and that compiled at the prior commit,
> 9c11510507ebcd31671f10d9b88532f8e6657ad2, I find that the new version
> takes over 30 seconds, while the prior one took about 20 seconds.
> 
> FTR, I used gcc version 9.0.0 20180912, compiling with -O3.

Thanks for your investigation.

Sorry, I forgot to send the patch.  We need the patch to optimize MERGE
function to speed-up for some cases.

Thanks,
Norihiro